### Virtual Method

# Pos Completer feed_symbol

#### Declaration [src]

    gboolean
    feed_symbol (
      PosCompleter* self,
      const char* symbol
    )

#### Description [src]

Feeds a symbol to be processed by the completer.

#### Parameters

`symbol`

  Type: `const char*`

  The symbol to process.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if the symbol was processed, `FALSE` otherwise.